Bug 1931832 - the ps2epsi tool as delivered by this package is not functional.
Summary: the ps2epsi tool as delivered by this package is not functional.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Lescak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-23 10:59 UTC by Jos de Kloe
Modified: 2021-06-20 01:06 UTC (History)
4 users (show)

Fixed In Version: ghostscript-9.53.3-6.fc34 ghostscript-9.53.3-6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 01:05:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ghostscript 703270 0 None None None 2021-02-23 15:13:05 UTC

Description Jos de Kloe 2021-02-23 10:59:12 UTC
Description of problem:

executing the ps2epsi tool on a postscript file ends with an ugly postscript error.

Version-Release number of selected component (if applicable):

ghostscript-9.53.3-4.fc32.x86_64
libgs-9.53.3-4.fc32.x86_64

How reproducible:

always

Steps to Reproduce:
1. execute: ps2epsi somefile.ps

Actual results:

the tool generates this error:

Error: /undefinedfilename in (/usr/bin/ps2epsi.ps)
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push
Dictionary stack:
   --dict:732/1123(ro)(G)--   --dict:0/20(G)--   --dict:76/200(L)--
Current allocation mode is local
Last OS error: No such file or directory
GPL Ghostscript 9.53.3: Unrecoverable error, exit code 1

Expected results:

the file should be converted from somefile.ps to somefile.epsi without producing warnings or errors

Additional info:

It is clearly stated in the /usr/bin/ps2epsi script:
"# Note, we expect 'ps2epsi.ps' to be in the same directory as 'ps2epsi'"

However, the file ps2epsi.ps is packaged by libgs in 
/usr/share/ghostscript/lib/ps2epsi.ps

which explains why it does not work.

A workaround for end users is possible:
cd $HOME/bin
ln -s /usr/bin/ps2epsi
ln -s /usr/share/ghostscript/lib/ps2epsi.ps

Assuming $HOME/bin preceeds /usr/bin/ in the users path definition, this should provide a temporary workaround.

Comment 1 Michael J Gruber 2021-02-23 14:12:55 UTC
This is gs bug 703270 which is fixed upstream here:

http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=c6166768c6e963b0fe28ccdb266629443e521381

It will be contained in the upcoming 9.54.0 release. (The bug was introduced in ghostpdl-9.53.0.)

We might want to carry the simple patch until that release. I'll prepare a PR on dist-git.

Comment 2 Fedora Program Management 2021-04-29 16:46:19 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jos de Kloe 2021-04-29 17:58:34 UTC
Same problem is still present in fedora 33.

@Michael J Gruber: I see that you created pull-requests that should provide a workaround, thanks for that. 
I hope the packager can spare a few moments to actually accept them, since they still seem open after 2 months.

Comment 4 Michael J Gruber 2021-04-29 18:35:40 UTC
(In reply to Jos de Kloe from comment #3)
> Same problem is still present in fedora 33.
> 
> @Michael J Gruber: I see that you created pull-requests that should provide
> a workaround, thanks for that. 
> I hope the packager can spare a few moments to actually accept them, since
> they still seem open after 2 months.

f34 and rawhide build from the same sources, so it is also there.

9.54.0 (hich contains the fix) has been released upstream some time ago, so maybe the maintainer focusses on that. Alas, there a few packaging challenges which Artifex presents us in that release.

Comment 5 Michael J Gruber 2021-04-30 06:36:48 UTC
Update to my last comment: 9.54.0 indeed builds nicely as scratch build, but upstream contains a new OCR feature based on bundled libraries (and not-bundled additional training data), so there are packaging decisions to be made.

Comment 6 Fedora Update System 2021-06-11 14:59:37 UTC
FEDORA-2021-647ed17d6f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-647ed17d6f

Comment 7 Fedora Update System 2021-06-11 15:37:02 UTC
FEDORA-2021-bc14f43c51 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc14f43c51

Comment 8 Fedora Update System 2021-06-12 01:07:47 UTC
FEDORA-2021-bc14f43c51 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bc14f43c51`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc14f43c51

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-06-12 01:56:57 UTC
FEDORA-2021-647ed17d6f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-647ed17d6f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-647ed17d6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-06-15 01:05:48 UTC
FEDORA-2021-647ed17d6f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-06-20 01:06:39 UTC
FEDORA-2021-bc14f43c51 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.